# $mouse-x(5)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

$mouse-x - Mouse X (horizontal) position
$mouse-y - Mouse Y (vertical) position

## SYNOPSIS

$mouse-x integer

0 <= integer <= $frame-width - 1

$mouse-y integer

0 <= integer <= $frame-depth - 1

## DESCRIPTION

$mouse-x and $mouse-y are automatically set to the position of the mouse at the last mouse event, where an event is a button press or release. Initialized to 0,0. The top left character of the screen is coordinate 0,0 bottom right is $frame-width, $frame-depth.

## NOTES

These variables can not be set. Any attempt to set them will result in an error.

## SEE ALSO

set-cursor-to-mouse(2), $mouse-pos(5), $cursor-x(5), $frame-depth(5), $frame-width(5).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>